Bug 190815 - New port: comms/xnec2c
New port: comms/xnec2c
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Only Me
Assigned To: Stephen Hurd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-09 01:30 UTC by Stephen Hurd
Modified: 2014-06-18 05:25 UTC (History)
1 user (show)

See Also:


Attachments
shArchive of xnec2c (7.91 KB, text/plain)
2014-06-09 01:30 UTC, Stephen Hurd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2014-06-09 01:30:12 UTC
Created attachment 143552 [details]
shArchive of xnec2c

xnec2c is a GTK+ graphical interactive version of nec2c. It incorporates the
nec2c core which it uses for reading input files and calculating output data,
but it does not need and indeed does not produce an output file by default.
Since xnec2c incorporates the nec2c core, it has access to all internal
buffers, including structure data, frequency-related data (structure currents,
input impedance, gain etc) and radiation pattern data (for the far field and
near field). It therefore has the ability to graphically display
user-requested data directly, as the frequency loop progresses or after input
from the user. Graphs of frequency-related data and the current or charge
distribution evolve as the frequency loop progresses, and radiation patterns
(far and near field) are sequentially drawn for each frequency step. A new
frequency can be entered by the user from spin buttons in the main or
radiation pattern windows or by clicking on the graphs of frequency-related
data. New output data are then computed and displayed in text and graphical
form.
Comment 1 Stephen Hurd freebsd_committer 2014-06-15 20:05:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shurd

I'll take it.
Comment 2 commit-hook freebsd_committer 2014-06-18 05:23:26 UTC
A commit references this bug:

Author: shurd
Date: Wed Jun 18 05:22:52 UTC 2014
New revision: 358205
URL: http://svnweb.freebsd.org/changeset/ports/358205

Log:
  xnec2c is a GTK+ graphical interactive version of nec2c. It incorporates the
  nec2c core which it uses for reading input files and calculating output data,
  but it does not need and indeed does not produce an output file by default.
  Graphs of frequency-related data and the current or charge distribution
  evolve as the frequency loop progresses, and radiation patterns (far and
  near field) are sequentially drawn for each frequency step.

  PR:		ports/190815
  Submitted by:	shurd@FreeBSD.org
  Approved by:	db, skreuzer (mentors)

Changes:
  head/comms/Makefile
  head/comms/xnec2c/
  head/comms/xnec2c/Makefile
  head/comms/xnec2c/distinfo
  head/comms/xnec2c/files/
  head/comms/xnec2c/files/cexp.c
  head/comms/xnec2c/files/cexp.h
  head/comms/xnec2c/files/clog.c
  head/comms/xnec2c/files/patch-src_common.h
  head/comms/xnec2c/files/patch-src_somnec.c
  head/comms/xnec2c/pkg-descr